Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.locale
Class ResourceKey

    java.lang.Object
      oracle.ifs.utils.locale.ResourceKey

    public final class ResourceKey

extends java.lang.Object

This class represents a resource key needed to get back a localized string using `ResourceBundles`.

It is advisable that instances of this class be reused as much as possible. Currently it does not provide any caching.

Instances of this class cannot be created directly, one of the static `get()` methods must be used.

Method Summary
`static ResourceKey` | `get(java.lang.Object[] args)` Returns an instance of a ResourceKey.
`static ResourceKey` | `get(java.lang.String bundle, java.lang.String key)` Returns an instance of a ResourceKey.
`static ResourceKey` | `get(java.lang.String bundle, java.lang.String key, java.lang.Object[] args)` Returns an instance of a ResourceKey.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static final ResourceKey get(java.lang.String bundle,
                                        java.lang.String key)

  Description copied from class: `ResourceKey`
  Returns an instance of a ResourceKey.

### get

    public static final ResourceKey get(java.lang.Object[] args)

  Description copied from class: `ResourceKey`
  Returns an instance of a ResourceKey. The key returned will be a special type of ResourceKey that simply concatenates all of its localized arguments when it gets localized.

### get

    public static final ResourceKey get(java.lang.String bundle,
                                        java.lang.String key,
                                        java.lang.Object[] args)

  Description copied from class: `ResourceKey`
  Returns an instance of a ResourceKey.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD